package com.jpsoft.picc.modules.common.utils;

import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import com.aliyun.oss.model.PutObjectResult;
import com.jpsoft.picc.modules.common.config.OSSConfig;

import java.io.InputStream;
import java.util.Calendar;
import java.util.Date;

public class Uploader {
    public static String ossUpload(OSSConfig ossConfig,
                                   String subFolder, String fileName,
                                   InputStream fileInputStream) {
        Date now = new Date();

        Calendar cal = Calendar.getInstance();
        cal.setTime(now);

        String savePath = ossConfig.getObjectPre();

        if (!subFolder.startsWith("/")) {
            savePath += "/";
        }

        savePath += subFolder;

        savePath = savePath + "/" + cal.get(Calendar.YEAR) + "/" + (cal.get(Calendar.MONTH) + 1) + "/";

        OSS ossClient = new OSSClientBuilder().build(ossConfig.getEndpoint(), ossConfig.getAccessKeyId(), ossConfig.getAccessKeySecret());

        String retFileUrl = savePath + fileName;

        // 上传文件流
        PutObjectResult result = ossClient.putObject(ossConfig.getBucketName(), retFileUrl, fileInputStream);

        // 关闭OSSClient
        ossClient.shutdown();

        return ossConfig.getUrlPrefix() + "/" + retFileUrl;
    }
}
